API Documentation
Browse the docs
Delete a custom tool
DELETE
/api/custom-tools/{name}Delete this custom tool and release its name for reuse.
Parameters
namepathrequiredThe custom tool name.
HTTP Response Status Codes
| Status code | Description |
|---|---|
| 204 | Successful Response |
| 401 | API key missing or invalid. |
| 404 | The addressed resource does not exist, or is not visible to your tenant. |
| 412 | A supplied request condition did not match the current resource. Fetch the resource again before retrying. |
| 422 | The request was malformed or failed validation; see errors for the offending fields. |
1import requests
2
3api_key = "insert-api-key-here"
4url = "https://app.tamarind.bio/api/custom-tools/your-name"
5headers = {"x-api-key": api_key}
6
7resp = requests.delete(url, headers=headers)
8print(resp.status_code)